/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, pdu, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_pdu_take_skip_to_pdu = R"doc(Extract periodic PDUs from a data stream.

This block will generate PDUs of size TAKE skipping SKIP samples between

Constructor Specific Documentation:

Return a shared_ptr to a new instance of pdu::take_skip_to_pdu.

Args:
    take : - size of generated PDUs in samples
    skip : - number of samples to skip between takes)doc";


static const char* __doc_gr_pdu_take_skip_to_pdu_make = R"doc(Extract periodic PDUs from a data stream.

This block will generate PDUs of size TAKE skipping SKIP samples between

Constructor Specific Documentation:

Return a shared_ptr to a new instance of pdu::take_skip_to_pdu.

Args:
    take : - size of generated PDUs in samples
    skip : - number of samples to skip between takes)doc";


static const char* __doc_gr_pdu_take_skip_to_pdu_set_take = R"doc()doc";


static const char* __doc_gr_pdu_take_skip_to_pdu_set_skip = R"doc()doc";
